Subject: [Netconf] Question about RFC 5277: multiple concurrent subscriptions in a session and subscription identifiers

From: "Alberto Gonzalez Prieto (albertgo)" <[email-masked]>
Date: Tue, 20 Jan 2015 01:42:44 +0000

Hello,

I have a question about RFC 5277 and I would appreciate help with it.

In the context of a single session, are multiple concurrent subscriptions supported?
(E.g, a single client, interested in two streams, requesting two <create-subscription> (one per stream) using a single session.)

If so, how should a client determine to what subscription a notification corresponds to? (Based on the contents?)
I see that there is no identifier for a subscription (which may facilitate this determination) exchanged between client and server. (There is an rpc message-id, but that is used in the context of the rpc/rpc-reply and there is not reference to it in the notifications).
I would be interested in learning the reason(s) for this.

Thanks,

Alberto

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 20 Jan 2015 08:04:30 +0100 (CET)

> In the context of a single session, are multiple concurrent

Short answer: no, not supported.

For details, see second paragraph in section 1.3 and 6.5

/martin

---

From: "Alberto Gonzalez Prieto (albertgo)" <[email-masked]>
Date: Tue, 20 Jan 2015 08:01:47 +0000

Thanks Martin,

Alberto